# Uses of Class
org.jboss.classfilewriter.annotations.ClassAnnotation

Packages that use ClassAnnotation
Package
Description
org.jboss.classfilewriter.annotations

## Uses of ClassAnnotation in org.jboss.classfilewriter.annotations

Methods in org.jboss.classfilewriter.annotations that return ClassAnnotation
Modifier and Type
Method
Description
`static ClassAnnotation`
AnnotationBuilder.`createAnnotation(ConstPool constPool, Annotation annotation)`
Methods in org.jboss.classfilewriter.annotations with parameters of type ClassAnnotation
Modifier and Type
Method
Description
`void`
AnnotationsAttribute.`addAnnotation(ClassAnnotation annotation)`
`void`
ParameterAnnotationsAttribute.`addAnnotation(int parameter, ClassAnnotation annotation)`
Constructors in org.jboss.classfilewriter.annotations with parameters of type ClassAnnotation
Modifier
Constructor
Description
``
`AnnotationAnnotationValue(ConstPool constPool, String name, ClassAnnotation value)`